Public IP Prefixes - Get

Gets the specified public IP prefix in a specified resource group.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/publicIPPrefixes/{publicIpPrefixName}?api-version=2025-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/publicIPPrefixes/{publicIpPrefixName}?api-version=2025-05-01&$expand={$expand}

URI Parameters

Name In Required Type Description
publicIpPrefixName
path True

string

The name of the public IP prefix.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$expand
query

string

Expands referenced resources.

Responses

Name Type Description
200 OK

PublicIPPrefix

Azure operation completed successfully.

Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get public IP prefix
Get public IP prefix with StandardV2 sku

Get public IP prefix

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPPrefixes/test-ipprefix?api-version=2025-05-01

Sample response

{
  "name": "test-ipprefix",
  "type": "Microsoft.Network/publicIPPrefixes",
  "etag": "W/\"00000000-0000-0000-0000-00000000\"",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPPrefixes/test-ipprefix",
  "location": "westus",
  "properties": {
    "ipPrefix": "192.168.254.2/30",
    "ipTags": [],
    "prefixLength": 30,
    "provisioningState": "Succeeded",
    "publicIPAddressVersion": "IPv4",
    "publicIPAddresses": [
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/PublicIpAddress1"
      }
    ],
    "resourceGuid": "00000000-0000-0000-0000-00000000"
  },
  "sku": {
    "name": "Standard"
  }
}

Get public IP prefix with StandardV2 sku

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPPrefixes/test-ipprefix?api-version=2025-05-01

Sample response

{
  "name": "test-ipprefix",
  "type": "Microsoft.Network/publicIPPrefixes",
  "etag": "W/\"00000000-0000-0000-0000-00000000\"",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPPrefixes/test-ipprefix",
  "location": "westus",
  "properties": {
    "ipPrefix": "192.168.254.2/30",
    "ipTags": [],
    "prefixLength": 30,
    "provisioningState": "Succeeded",
    "publicIPAddressVersion": "IPv4",
    "publicIPAddresses": [
      {
        "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/publicIPAddresses/PublicIpAddress1"
      }
    ],
    "resourceGuid": "00000000-0000-0000-0000-00000000"
  },
  "sku": {
    "name": "StandardV2"
  }
}

Definitions

Name Description
Common.CloudError

An error response from the service.

Common.CloudErrorBody

An error response from the service.

Common.ExtendedLocation

ExtendedLocation complex type.

Common.IpTag

Contains the IpTag associated with the object.

Common.NatGateway

Nat Gateway resource.

Common.NatGatewaySku

SKU of nat gateway.

Common.SubResource

Reference to another subresource.

ExtendedLocationTypes

The type of the extended location.

IPVersion

Whether the specific ipconfiguration is IPv4 or IPv6. Default is taken as IPv4.

NatGatewaySkuName

Name of Nat Gateway SKU.

ProvisioningState

The provisioning state of the application security group resource.

PublicIPPrefix

Public IP prefix resource.

PublicIPPrefixSku

SKU of a public IP prefix.

PublicIPPrefixSkuName

Name of a public IP prefix SKU.

PublicIPPrefixSkuTier

Tier of a public IP prefix SKU.

ReferencedPublicIpAddress

Reference to a public IP address.

Common.CloudError

An error response from the service.

Name Type Description
error

Common.CloudErrorBody

Cloud error body.

Common.CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

Common.CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

Common.ExtendedLocation

ExtendedLocation complex type.

Name Type Description
name

string

The name of the extended location.

type

ExtendedLocationTypes

The type of the extended location.

Common.IpTag

Contains the IpTag associated with the object.

Name Type Description
ipTagType

string

The IP tag type. Example: FirstPartyUsage.

tag

string

The value of the IP tag associated with the public IP. Example: SQL.

Common.NatGateway

Nat Gateway resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

location

string

Resource location.

name

string

Resource name.

properties.idleTimeoutInMinutes

integer (int32)

The idle timeout of the nat gateway.

properties.provisioningState

ProvisioningState

The provisioning state of the NAT gateway resource.

properties.publicIpAddresses

Common.SubResource[]

An array of public ip addresses V4 associated with the nat gateway resource.

properties.publicIpAddressesV6

Common.SubResource[]

An array of public ip addresses V6 associated with the nat gateway resource.

properties.publicIpPrefixes

Common.SubResource[]

An array of public ip prefixes V4 associated with the nat gateway resource.

properties.publicIpPrefixesV6

Common.SubResource[]

An array of public ip prefixes V6 associated with the nat gateway resource.

properties.resourceGuid

string

The resource GUID property of the NAT gateway resource.

properties.serviceGateway

Common.SubResource

Reference to an existing service gateway.

properties.sourceVirtualNetwork

Common.SubResource

A reference to the source virtual network using this nat gateway resource.

properties.subnets

Common.SubResource[]

An array of references to the subnets using this nat gateway resource.

sku

Common.NatGatewaySku

The nat gateway SKU.

tags

object

Resource tags.

type

string

Resource type.

zones

string[]

A list of availability zones denoting the zone in which Nat Gateway should be deployed.

Common.NatGatewaySku

SKU of nat gateway.

Name Type Description
name

NatGatewaySkuName

Name of Nat Gateway SKU.

Common.SubResource

Reference to another subresource.

Name Type Description
id

string

Resource ID.

ExtendedLocationTypes

The type of the extended location.

Value Description
EdgeZone

EdgeZone

IPVersion

Whether the specific ipconfiguration is IPv4 or IPv6. Default is taken as IPv4.

Value Description
IPv4

IPv4

IPv6

IPv6

NatGatewaySkuName

Name of Nat Gateway SKU.

Value Description
Standard

Standard

StandardV2

StandardV2

ProvisioningState

The provisioning state of the application security group resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

PublicIPPrefix

Public IP prefix resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

extendedLocation

Common.ExtendedLocation

The extended location of the public ip address.

id

string

Resource ID.

location

string

Resource location.

name

string

Resource name.

properties.customIPPrefix

Common.SubResource

The customIpPrefix that this prefix is associated with.

properties.ipPrefix

string

The allocated Prefix.

properties.ipTags

Common.IpTag[]

The list of tags associated with the public IP prefix.

properties.loadBalancerFrontendIpConfiguration

Common.SubResource

The reference to load balancer frontend IP configuration associated with the public IP prefix.

properties.natGateway

Common.NatGateway

NatGateway of Public IP Prefix.

properties.prefixLength

integer (int32)

The Length of the Public IP Prefix.

properties.provisioningState

ProvisioningState

The provisioning state of the public IP prefix resource.

properties.publicIPAddressVersion

IPVersion

The public IP address version.

properties.publicIPAddresses

ReferencedPublicIpAddress[]

The list of all referenced PublicIPAddresses.

properties.resourceGuid

string

The resource GUID property of the public IP prefix resource.

sku

PublicIPPrefixSku

The public IP prefix SKU.

tags

object

Resource tags.

type

string

Resource type.

zones

string[]

A list of availability zones denoting the IP allocated for the resource needs to come from.

PublicIPPrefixSku

SKU of a public IP prefix.

Name Type Description
name

PublicIPPrefixSkuName

Name of a public IP prefix SKU.

tier

PublicIPPrefixSkuTier

Tier of a public IP prefix SKU.

PublicIPPrefixSkuName

Name of a public IP prefix SKU.

Value Description
Standard

Standard

StandardV2

StandardV2

PublicIPPrefixSkuTier

Tier of a public IP prefix SKU.

Value Description
Regional

Regional

Global

Global

ReferencedPublicIpAddress

Reference to a public IP address.

Name Type Description
id

string

The PublicIPAddress Reference.